#==================================================================
#  
#  TRACEO: INTIMATE96 sound speed profile
#  Faro, Sab Set 11 22:22:02 WEST 2021
#  Written by Orlando Camargo Rodriguez 
#  
#==================================================================

from math import *
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *

#==================================================================
#  
#  Load sound speed data:
#  
#==================================================================

data = loadmat('c0.mat')

z = squeeze( data['depths'] )*1.0
c = squeeze( data['mean_ssp'] )

figure(1)
plot(c,-z)
xlabel('Sound Speed (m/s)')
ylabel('Depth (m)')
title('TRACEO - INTIMATE96 SSP')
grid(True)

show()

print('done.')
